public inbox for lvm2-cvs@sourceware.org
help / color / mirror / Atom feed
* LVM2/test t-dmeventd-restart.sh
@ 2011-09-19 12:49 zkabelac
  0 siblings, 0 replies; 2+ messages in thread
From: zkabelac @ 2011-09-19 12:49 UTC (permalink / raw)
  To: lvm-devel, lvm2-cvs

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	zkabelac@sourceware.org	2011-09-19 12:49:14

Modified files:
	test           : t-dmeventd-restart.sh 

Log message:
	Test speed up
	
	Removing vg  reduces time execution of this test.
	Teardown has some wait states here...

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/t-dmeventd-restart.sh.diff?cvsroot=lvm2&r1=1.3&r2=1.4

--- LVM2/test/t-dmeventd-restart.sh	2011/03/02 12:49:13	1.3
+++ LVM2/test/t-dmeventd-restart.sh	2011/09/19 12:49:14	1.4
@@ -38,3 +38,5 @@
 sleep 3
 lvchange --monitor y --verbose $vg/3way 2>&1 | tee lvchange.out
 not grep 'already monitored' lvchange.out
+
+vgremove -ff $vg


^ permalink raw reply	[flat|nested] 2+ messages in thread

* LVM2/test t-dmeventd-restart.sh
@ 2010-10-27  9:16 mornfall
  0 siblings, 0 replies; 2+ messages in thread
From: mornfall @ 2010-10-27  9:16 UTC (permalink / raw)
  To: lvm-devel, lvm2-cvs

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	mornfall@sourceware.org	2010-10-27 09:16:31

Added files:
	test           : t-dmeventd-restart.sh 

Log message:
	Add a missed test for dmeventd -R.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/t-dmeventd-restart.sh.diff?cvsroot=lvm2&r1=NONE&r2=1.1

/cvs/lvm2/LVM2/test/t-dmeventd-restart.sh,v  -->  standard output
revision 1.1
--- LVM2/test/t-dmeventd-restart.sh
+++ -	2010-10-27 09:16:32.957440000 +0000
@@ -0,0 +1,32 @@
+#!/bin/bash
+# Copyright (C) 2008 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing to use,
+# modify, copy, or redistribute it subject to the terms and conditions
+# of the GNU General Public License v.2.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+. ./test-utils.sh
+
+prepare_vg 5
+prepare_dmeventd
+
+which mkfs.ext2 || exit 200
+
+lvcreate -m 3 --ig -L 1 -n 4way $vg
+lvchange --monitor y $vg/4way
+lvcreate -m 2 --ig -L 1 -n 3way $vg
+lvchange --monitor y $vg/3way
+
+dmeventd -R -f &
+LOCAL_DMEVENTD="$!"
+
+sleep 1 # wait a bit, so we talk to the new dmeventd later
+
+lvchange --monitor y --verbose $vg/3way 2>&1 | tee lvchange.out
+grep 'already monitored' lvchange.out
+lvchange --monitor y --verbose $vg/4way 2>&1 | tee lvchange.out
+grep 'already monitored' lvchange.out


^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2011-09-19 12:49 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2011-09-19 12:49 LVM2/test t-dmeventd-restart.sh zkabelac
  -- strict thread matches above, loose matches on Subject: below --
2010-10-27  9:16 mornfall

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).